: Class CloudscapeAdaptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.JDBC
Class CloudscapeAdaptor

    java.lang.Object
      |
      +--com.mortbay.JDBC.DbAdaptor
            |
            +--com.mortbay.JDBC.CloudscapeAdaptor

public class CloudscapeAdaptor
extends DbAdaptor

Fields inherited from class com.mortbay.JDBC.DbAdaptor
`dbDriver`

Constructor Summary
`CloudscapeAdaptor()` Constructor.

Method Summary
`java.lang.String` | `go()` The go string
`java.lang.String` | `primaryMarker()` The marker used when creating a table to mark a primary key.
`java.lang.String` | `quote(java.lang.String s)` Quote a string value for the database.

Methods inherited from class com.mortbay.JDBC.DbAdaptor
`columnType, formatColumnValue, formatCreateIndex, formatCreateTable, formatKeys, formatTable, getJdbcDriver, nullColumnValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloudscapeAdaptor

    public CloudscapeAdaptor()

  Constructor.

Method Detail

### quote

    public java.lang.String quote(java.lang.String s)

  Quote a string value for the database.
  Overrides:
    quote in class DbAdaptor
  Parameters:
    `s` - A string
  Returns:
    The string in quotes with any internal special characters handled.

### primaryMarker

    public java.lang.String primaryMarker()

  The marker used when creating a table to mark a primary key.
  Overrides:
    primaryMarker in class DbAdaptor
  Returns:
    The default implementation returns "NOT NULL"

### go

    public java.lang.String go()

  The go string
  Overrides:
    go in class DbAdaptor
  Returns:
    The string used by the underlying database to trigger handling of meta data commands. Default is "go".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD